summaryrefslogtreecommitdiff
path: root/debian/patches/02_docviewer.dpatch
diff options
context:
space:
mode:
Diffstat (limited to 'debian/patches/02_docviewer.dpatch')
-rw-r--r--debian/patches/02_docviewer.dpatch46
1 files changed, 46 insertions, 0 deletions
diff --git a/debian/patches/02_docviewer.dpatch b/debian/patches/02_docviewer.dpatch
new file mode 100644
index 0000000..68082e0
--- /dev/null
+++ b/debian/patches/02_docviewer.dpatch
@@ -0,0 +1,46 @@
+#!/bin/sh -e
+## 02_docviewer.dpatch.dpatch by Aurelien Jarno <aurel32@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Change default browser to /usr/bin/sensible-browser.
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/julien/debian/pkg-build/SANE/xsane/0.94/xsane-0.94/src/xsane.h xsane-0.94/src/xsane.h
+--- /home/julien/debian/pkg-build/SANE/xsane/0.94/xsane-0.94/src/xsane.h 2004-06-10 17:35:52.000000000 +0200
++++ xsane-0.94/src/xsane.h 2004-06-10 17:35:52.000000000 +0200
+@@ -205,7 +205,7 @@
+ # elif defined(HAVE_OS2_H)
+ # define DEFAULT_BROWSER "netscape"
+ # else
+-# define DEFAULT_BROWSER "netscape"
++# define DEFAULT_BROWSER "/usr/bin/sensible-browser"
+ # endif
+ #endif
+
+@@ -453,7 +453,7 @@
+ #define OCROUTPUTFILEOPT "-o"
+ #define OCROUTFDOPT "-x"
+ #define OCRPROGRESSKEY ""
+-#define BROWSER_NETSCAPE "netscape"
++#define BROWSER_NETSCAPE "/usr/bin/sensible-browser"
+
+ #define XSANE_MEDIUM_CALIB_BRIGHTNESS_MIN -1000.0
+ #define XSANE_MEDIUM_CALIB_BRIGHTNESS_MAX 1000.0